LibreOffice: SyncDbusSessionHelper Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
List of all members
SyncDbusSessionHelper Service Reference
Inheritance diagram for SyncDbusSessionHelper:

## Additional Inherited Members
Exported Interfaces inherited from XSyncDbusSessionHelper
interface | XModify
interface | XQuery
Public Member Functions inherited from XModify
void | InstallPackageFiles ([in] sequence< string > files, [in] string interaction)
| Installs local package sequence< string > files or service packs.
void | InstallProvideFiles ([in] sequence< string > files, [in] string interaction)
| Installs sequence< string > packages to provide sequence< string > files.
void | InstallCatalogs ([in] sequence< string > files, [in] string interaction)
| Installs sequence< string > packages to provide sequence< string > files.
void | InstallPackageNames ([in] sequence< string > packages, [in] string interaction)
| Installs sequence< string > packages from a configured software source.
void | InstallMimeTypes ([in] sequence< string > mimeTypes, [in] string interaction)
| Installs mimetype handlers from a configured software source.
void | InstallFontconfigResources ([in] sequence< string > resources, [in] string interaction)
| Installs fontconfig resources ( [in] usually fonts) from a configured software source.
void | InstallGStreamerResources ([in] sequence< string > resources, [in] string interaction)
| Installs GStreamer resources ( [in] usually codecs) from a configured software source.
void | InstallResources ([in] sequence< string > types, [in] sequence< string > resources, [in] string interaction)
| Installs resources of a given type from a configured software source.
void | RemovePackageByFiles ([in] sequence< string > files, [in] string interaction)
| Removes sequence< string > packages that provide the given local sequence< string > files.
void | InstallPrinterDrivers ([in] sequence< string > files, [in] string interaction)
| Installs printer drivers from a configured software source.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XQuery
void | IsInstalled ([in] string packageName, [in] string interaction, [out] boolean installed)
| Installs local package files or service packs.
void | SearchFile ([in] string fileName, [in] string interaction, [out] boolean installed, [out] string packageName)
| Installs packages to provide files.

The documentation for this service was generated from the following file:

- org/freedesktop/PackageKit/SyncDbusSessionHelper.idl